######################################################################
# Automatically generated by qmake (2.01a) ?? ???. 5 22:55:18 2011
######################################################################

TEMPLATE = lib
TARGET = pip
DEPENDPATH += .
INCLUDEPATH += .
QT -= core gui
CONFIG -= qt
CONFIG += dll
VERSION = 0.4.0

# Input
HEADERS += \
    pivariant.h \
    pitimer.h \
    pithread.h \
    pisystemtests.h \
    pisystemmonitor.h \
    pistring.h \
    pisignals.h \
    piserial.h \
    piprotocol.h \
    piprocess.h \
    pipeer.h \
    pipacketextractor.h \
    pip.h \
    piobject.h \
    pimutex.h \
    pimultiprotocol.h \
    pimonitor.h \
    pimath.h \
    pikbdlistener.h \
    piiodevice.h \
    piincludes.h \
    pigeometry.h \
    pifile.h \
    pievaluator.h \
    piethernet.h \
    pidir.h \
    picrc.h \
    picontainers.h \
    piconsole.h \
    piconfig.h \
    picodec.h \
    picli.h \
    pichar.h \
    pibytearray.h \
    pibitarray.h \
    picollection.h \
    pidiagnostics.h \
    pibinarylog.h \
    picodeparser.h \
    picodeinfo.h \
    piusb.h \
    piconnection.h
SOURCES += main.cpp \
    pivariant.cpp \
    pitimer.cpp \
    pithread.cpp \
    pisystemtests.cpp \
    pisystemmonitor.cpp \
    pistring.cpp \
    pisignals.cpp \
    piserial.cpp \
    piprotocol.cpp \
    piprocess.cpp \
    pipeer.cpp \
    pipacketextractor.cpp \
    piobject.cpp \
    pimonitor.cpp \
    pimath.cpp \
    pikbdlistener.cpp \
    piiodevice.cpp \
    piincludes.cpp \
    pifile.cpp \
    pievaluator.cpp \
    piethernet.cpp \
    pidir.cpp \
    piconsole.cpp \
    piconfig.cpp \
    picodec.cpp \
    picli.cpp \
	pibytearray.cpp \
	picollection.cpp \
    pidiagnostics.cpp \
    pibinarylog.cpp \
    picodeparser.cpp \
    picodeinfo.cpp \
    piusb.cpp \
    piconnection.cpp
win32 {
	LIBS += -lws2_32 -lIphlpapi
} else {
	android {
	} else {
		LIBS = -lpthread -lrt
	}
}

OTHER_FILES += \
    android/AndroidManifest.xml \
    android/res/layout/splash.xml \
    android/res/values/libs.xml \
    android/res/values/strings.xml \
    android/res/values-de/strings.xml \
    android/res/values-el/strings.xml \
    android/res/values-es/strings.xml \
    android/res/values-et/strings.xml \
    android/res/values-fa/strings.xml \
    android/res/values-fr/strings.xml \
    android/res/values-id/strings.xml \
    android/res/values-it/strings.xml \
    android/res/values-ja/strings.xml \
    android/res/values-ms/strings.xml \
    android/res/values-nb/strings.xml \
    android/res/values-nl/strings.xml \
    android/res/values-pl/strings.xml \
    android/res/values-pt-rBR/strings.xml \
    android/res/values-ro/strings.xml \
    android/res/values-rs/strings.xml \
    android/res/values-ru/strings.xml \
    android/res/values-zh-rCN/strings.xml \
    android/res/values-zh-rTW/strings.xml \
    android/src/org/kde/necessitas/ministro/IMinistro.aidl \
    android/src/org/kde/necessitas/ministro/IMinistroCallback.aidl \
    android/src/org/qtproject/qt5/android/bindings/QtActivity.java \
    android/src/org/qtproject/qt5/android/bindings/QtApplication.java \
    android/version.xml
